# Generated from eventbrite_api_client-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name eventbrite_api_client

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: Eventbrite API v3 Client
License: MIT
URL: https://github.com/kellyjosephprice/eventbrite_api_client
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry) < 1
BuildArch: noarch

%description
A simple interface for the Eventbrite API v3.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/eventbrite_api_client.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.3-1
- Initial package
